/* indent:4  tabsize:8  font:fixed-width */


#import "FreezeLSuitDelegate.h"
//#import "../Solitaire/Solitaire.h"
#import <Solitaire/CardSet.h>
#import "FreezeL.h"


@implementation FreezeLSuitDelegate

- (BOOL) canAcceptPile:(CardPile*)aCardPile from:sender in:(CardPileView*)aCardPileView
{
    Card*   droppingCard = [aCardPile bottomCard];
    Card*	targetCard = [[aCardPileView cardPile] topCard];

    if ([aCardPile cardCount] != 1)
      {
        return NO;
      }

    if (targetCard)
      {
        if (([droppingCard suit] == [targetCard suit]) &&
            ([droppingCard value] == [targetCard value] + 1))
          {
            return YES;
          }
      } else if ([droppingCard value] == CS_ACE)
        {
          return YES;
        }

    return NO;
}


- (void) acceptPile:(CardPile*)aCardPile in:(CardPileView*)aCardPileView
{
    [[FreezeL sharedInstance] moveSuitableCards];
}

@end
