/* indent:4  tabsize:8  font:fixed-width */


#import "FreezeLTempDelegate.h"
#import "FreezeLSuitDelegate.h"
//#import <Solitaire/Solitaire.h"
#import <Solitaire/CardSet.h>
#import "FreezeL.h"

@implementation FreezeLTempDelegate

- (void) setSuitCardPileViews:(id [])theViews
{
    int i;

    for (i=0; i<4; i++) {
        suitCardPileViews[i] = *(theViews + i);
    }
}
    

- (void) setDoubleClickCheck
{
    doubleClickCheck = YES;
}



- (BOOL) canAcceptPile:(CardPile*)aCardPile from:sender in:(CardPileView*)aCardPileView
{
    if ([[aCardPileView cardPile] cardCount] == 0
        && ([aCardPile cardCount] == 1 || doubleClickCheck))
	{
        doubleClickCheck = NO;
	    return YES;
	}
    
    doubleClickCheck = NO;
    return NO;
}


- (BOOL) draggedPile:(CardPile*)aCardPile from:(CardPileView*)aCardPileView
{
    return YES;
}

- (void) acceptPile:(CardPile*)aCardPile in:(CardPileView*)aCardPileView
{
    [[FreezeL sharedInstance] moveSuitableCards];
}

- (void)removedPile:(CardPile *)aCardPile from:(CardPileView *)aCardPileView
{
    [[FreezeL sharedInstance] moveSuitableCards];

}


@end

