/* indent:4  tabsize:8  font:fixed-width */

/*----------------------------------------------------------------------------
|-----------------------------------------------------------------------------
|
|    FreezeLPrefs : GamePref
|
|-----------------------------------------------------------------------------
\----------------------------------------------------------------------------*/


#import <AppKit/AppKit.h>
#import <Solitaire/GamePref.h>
#import <Solitaire/CardSet.h>


@interface FreezeLPrefs : GamePref
{
    IBOutlet NSTextField *lifetimeWinsTF;
    IBOutlet NSTextField *lifetimeLossesTF;

    IBOutlet NSTextField *currentWinsTF;
    IBOutlet NSTextField *currentLossesTF;

    int currentWins;
    int currentLosses;
}

- (void) registerPrefs;
- (void) accumulateLoss;
- (void) accumulateWin;
- (void)displayStatistics;

@end
