/* indent:4  tabsize:8  font:fixed-width */


/*--------------------------------------------------------------------------
| --------------------------------------------------------------------------
|
|    FreezeLTempDelegate : NSObject
|
|    << Description >>
|
| --------------------------------------------------------------------------
\---------------------------------------------------------------------------*/

#import <AppKit/AppKit.h>

@class Card;
@class CardPile;
@class CardPileView;


@interface FreezeLTempDelegate : NSObject
{
    BOOL doubleClickCheck;
    CardPileView* suitCardPileViews[4];
}

/*----------------------------------------------------------------------------
|
|    CardPileView delegation methods
|
\---------------------------------------------------------------------------*/

- (void) setSuitCardPileViews:(id [])theViews;
- (void) setDoubleClickCheck;

- (BOOL) canAcceptPile:(CardPile*)aCardPile from:sender in:(CardPileView*)aCardPileView;
- (BOOL) draggedPile:(CardPile*)aCardPile from:(CardPileView*)discardCardPileView;

@end

